# chain-depict

受到 pug 和  tailwind, windicss 启发的,
使用纯粹 js 书写 UI

1. 提高文字的屏幕占比, 更少的屏幕空间表达更多的描述
2. 减少文字输入, 省略不必要的属性描述冗余
3. 响应式元素绑定, 数据变化则ui跟随变化


### install

```bash
npm i @laniakeasupercluster/chain-depict
```

```javascript
import { div } form '@laniakeasupercluster/chain-depict'

div.w(12).h(14).onclick.stop(click).onkeydown.esc(keydown)([
    div.w('auto').h(32).classList(['mdui-btn', 'mdui-btn-icon']),
    div.w('auto').h(32).classList('mdui-btn mdui-btn-icon'),
])
```

### dev

```bash
git clone git@git.satori.love:LaniakeaSupercluster/chain-depict.git
npm i
npm run dev
```
